--[[
    Aaron MacDonald
    December 3, 2010
]]

ENGINE_PARTICLES = {
    sphinx = {
        spriteName = 'sparkle',
        bufferSize = 1000,
        emissionRate = 700,
        minSpeed = 100,
        maxSpeed = 150,
        minSize = 1,
        maxSize = 1.5,
        startColour = {255, 255, 255, 255},
        endColour = {255, 223, 0, 0},
        minLife = 0.1,
        maxLife = 0.5,
        spread = math.pi / 4,
        radius = 8
    },

    terminus = {
        spriteName = 'sparkle',
        bufferSize = 1000,
        emissionRate = 700,
        minSpeed = 100,
        maxSpeed = 150,
        minSize = 1,
        maxSize = 1.5,
        startColour = {255, 0, 0, 255},
        endColour = {255, 0, 0, 0},
        minLife = 0.1,
        maxLife = 0.5,
        spread = math.pi / 4,
        radius = 8
    }
}

BULLET_PARTICLES = {
    sphinx = {
        spriteName = 'sparkle',
        bufferSize = 750,
        emissionRate = 500,
        minSpeed = 50,
        maxSpeed = 100,
        minSize = 0.25,
        maxSize = 1.25,
        startColour = {255, 255, 255, 255},
        endColour = {255, 255, 255, 0},
        minLife = 0.1,
        maxLife = 0.333,
        spread = 2 * math.pi,
        radius = 10
    },

    terminus = {
        spriteName = 'sparkle',
        bufferSize = 750,
        emissionRate = 500,
        minSpeed = 50,
        maxSpeed = 100,
        minSize = 0.25,
        maxSize = 1.25,
        startColour = {255, 0, 0, 255},
        endColour = {255, 0, 0, 0},
        minLife = 0.1,
        maxLife = 0.333,
        spread = 2 * math.pi,
        radius = 10
    }
}